/* Copyright Per Bothner 1987. Read the file Q-INFO */
typedef
  {
    coercion;
    allocation;
    Func release;
    Func IncRef;
    Func print;		/* print routine in ObPrint form */
  } ObTypeDesc;
typedef
  {
    ObTypeDesc ob;
  } NumTypeDesc;
typedef
  {
    ObTypeDesc ob;
    Func openFile;
  } ListTypeDesc;
typedef
  {
    ObTypeDesc ob;
    Func getBuf;
    Func putBuf;
  } FileTypeDesc;
typedef
  {
  } ProcTypeDesc;
typedef
  {
  } VarType;
